GNB_ES(8)

NAME
gnb_es - Environment Service for opengnb

SYNOPSIS
gnb_es -b CTL_BLOCK [OPTION]

DESCRIPTION
gnb_es use Service version 1.0.0 protocol version 1.1.2

Command Summary:

-b, --ctl-block
    ctl block mapper file

-s, --service
    service mode

-d, --daemon
    daemon

-L, --discover-in-lan
    discover in lan

--upnp
    upnp

--resolv
    resolv

--dump-address
    dump address

--broadcast-addres
    broadcast addre

--pid-file
    pid file

--wan-address6-file
    wan address6 file

--if-up
    call at interface up

--if-down
    call at interface down

--log-udp4
    send log to the address ipv4 default is '127.0.0.1:9000'

--log-udp-type
    the log udp type 'binary' or 'text' default is 'binary'

--help

Example:

./gnb_es --ctl_block=./gnb.map -s --upnp

./gnb_es --ctl_block=./gnb.map -s --resolv

SEE ALSO
gnb_crypto(1), gnb(8), gnb_ctl(8)

HOMEPAGE
Source Code and Documentation at https://github.com/gnbdev/opengnb

COPYRIGHT
Copyright © 2019-2022 gnbdev<gnbdev@qq.com>